#include "allegro.h"
#include "allegro_keyboard.h"

myKEY::myKEY()
{
	int i;

	for(i = 0; i < MAX_MAPPING; i++)
	{
		key_mapping[i] = -1;
	}
}

myKEY::~myKEY()
{

}

void myKEY::map(int iIndex, int iValue)
{
	key_mapping[iIndex] = iValue;	
}

bool myKEY::MAP(int iValue)
{
	int iTest;
	
	if(key_mapping[iValue] == -1) return false;
	iTest = key[key_mapping[iValue]];
	
	return iTest;
}


bool key_pressed(int KEY)
{
	bool status = false;
	if(key[KEY])
	{
		status = true;
		while(KEY != KEY_ENTER && KEY != KEY_ENTER_PAD && key[KEY]){}
	}
	clear_keybuf();

	return status;
}

int key_number()
{
	int number = 0;

	if(key_pressed(KEY_1) || key_pressed(KEY_1_PAD))
		number = 1;	
	if(key_pressed(KEY_2) || key_pressed(KEY_2_PAD))
		number = 2;
	if(key_pressed(KEY_3) || key_pressed(KEY_3_PAD))
		number = 3;
	if(key_pressed(KEY_4) || key_pressed(KEY_4_PAD))
		number = 4;
	if(key_pressed(KEY_5) || key_pressed(KEY_5_PAD))
		number = 5;
	if(key_pressed(KEY_6) || key_pressed(KEY_6_PAD))
		number = 6;
	if(key_pressed(KEY_7) || key_pressed(KEY_7_PAD))
		number = 7;
	if(key_pressed(KEY_8) || key_pressed(KEY_8_PAD))
		number = 8;
	if(key_pressed(KEY_9) || key_pressed(KEY_9_PAD))
		number = 9;

	return number;
}

bool key_enter()
{
	bool status = false;
	if(key_pressed(KEY_ENTER) || key_pressed(KEY_ENTER_PAD))
		status = true;

	

	return status;
}


